Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.metamodel.source.binder
Class Binder

    java.lang.Object
      org.hibernate.metamodel.source.binder.Binder

    public class Binder

extends Object

The common binder shared between annotations and `hbm.xml` processing.

The API consists of `Binder(MetadataImplementor, List)` and `processEntityHierarchy(EntityHierarchy)`

Constructor Summary
`Binder(MetadataImplementor metadata, List<String> processedEntityNames)`

Method Summary
`void` | `processEntityHierarchy(EntityHierarchy entityHierarchy)` Process an entity hierarchy.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Binder

    public Binder(MetadataImplementor metadata,
                  List<String> processedEntityNames)

Method Detail

### processEntityHierarchy

    public void processEntityHierarchy(EntityHierarchy entityHierarchy)

  Process an entity hierarchy.

  Parameters:
    `entityHierarchy` - THe hierarchy to process.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.